%{?nodejs_find_provides_and_requires}

%global packagename vasync
%global enable_tests 0
# tests disabled until we can bootstrap npm(nyc)

Name:		nodejs-vasync
Version:	1.6.3
Release:	1%{?dist}
Summary:	Utilities for observable asynchronous control flow

License:	MIT
URL:		https://github.com/davepacheco/node-vasync.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz

BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	npm(tap)
BuildRequires:	npm(nodeunit)
%endif

Requires:	nodejs

%description
Utilities for observable asynchronous control flow


%prep
%setup -q -n package



%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json lib/ *.conf \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
/usr/bin/tap tests/ && /usr/bin/nodeunit tests/compat.js
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}



%changelog
* Fri Nov  6 2015 Jared Smith <jsmith@fedoraproject.org> - 1.6.3-1
- Initial packaging
